curl --request GET \
'https://apiv2.crmseries.com/api/v2/inventory-request/requests/INVENTORY_REQUEST_ID' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Replace the uppercase placeholders and sample values with your integration values.
{
"isSuccess": true,
"message": "",
"data": {
"inventoryRequest": {
"inventoryRequestId": 1024,
"branchId": 1024,
"companyId": 1024,
"baseMachineInventoryId": 1024,
"make": "Caterpillar",
"model": "320",
"totalItemCount": 42,
"itemsOutCount": 42,
"itemsCheckedInCount": 42,
"serialNo": "CAT0320XABC12345",
"stockNo": "STK-1001",
"branchName": "string",
"companyName": "Acme Equipment Co.",
"companyPhone": "555-0100",
"salesRepName": "string",
"identifier": "string",
"inventoryRequestType": "string",
"status": "string",
"checkOutStatus": "string",
"baseMachineCheckedOut": true,
"startDate": "2026-01-15T14:30:00Z",
"deliveryDate": "2026-01-15T14:30:00Z",
"completionDate": "2026-01-15T14:30:00Z",
"creatorUserId": 1024
},
"items": [
{
"isMainMachine": true,
"requestAssignedAttachmentId": 1024,
"equipmentId": 1024,
"serialNo": "CAT0320XABC12345",
"stockNo": "STK-1001",
"make": "Caterpillar",
"model": "320",
"isCheckedOut": true,
"inspectionComplete": true,
"inspectionName": "string",
"inspectionStatus": "string",
"inspectionEnteredDate": "2026-01-15T14:30:00Z",
"inspectionLastModified": "2026-01-15T14:30:00Z",
"inspectionCompleteDate": "2026-01-15T14:30:00Z",
"activeAssignedInspectionID": 1024
}
]
},
"errors": []
}